Package com.google.android.exoplayer2.offline

## Class DownloadProgress

- java.lang.Object
- - com.google.android.exoplayer2.offline.DownloadProgress

-     public class DownloadProgress
      extends Object

  Mutable `Download` progress.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `bytesDownloaded` | The number of bytes that have been downloaded.
    `float` | `percentDownloaded` | The percentage that has been downloaded, or `C.PERCENTAGE_UNSET` if unknown.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DownloadProgress()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bytesDownloaded

          public volatile long bytesDownloaded

      The number of bytes that have been downloaded.

    - #### percentDownloaded

          public volatile float percentDownloaded

      The percentage that has been downloaded, or `C.PERCENTAGE_UNSET` if unknown.

  - ### Constructor Detail

    - #### DownloadProgress

          public DownloadProgress()